﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Clients.Hive.CloudManager.Model {
  public class HostedServiceProperties : Item {
    public string Description { get; set; }
    public string AffinityGroup { get; set; }
    public string Location { get; set; }
    public string Label { get; set; }

    public HostedServiceProperties() {

    }

    public HostedServiceProperties(HostedServiceProperties original, Cloner cloner) {
      this.Description = original.Description;
      this.AffinityGroup = original.AffinityGroup;
      this.Location = original.Location;
      this.Label = original.Label;
    }

    public override string ToString() {
      return string.Format("HostedServiceProperties: Desc={0}, AffinityGroup={1}, Location={0}, Label={1}", Description, AffinityGroup, Location, Label);
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new HostedServiceProperties(this, cloner);
    }
  }
}
